Subject: [Roll] Consensus call on Issue #17

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 30 Mar 2010 16:41:06 +0200

Hi:

This is a call on closing issue #17. 

Ticket URL: http://64.170.98.42/wg/roll/trac/ticket/17  

As I indicated in the attached mail, #17 was processed and the result appeared too complex / too  much experimental. So we pulled issue #26

I got no contradiction since I posted so I think we can now close #17. If anyone disagree that we can do so and pursue with 26 please let us know now!

Cheers,

Pascal

From: [email-masked] [mailto:[email-masked]] On Behalf Of Pascal Thubert (pthubert)
Sent: Monday, March 15, 2010 2:29 PM
To: [email-masked]
Subject: [Roll] Issue #17

WG:

Ticket 17 says:

“

RPL allows source routing down the DAG. Typically, the source will be the root, and the destination a node somewhere down. The source route path might be strict or loose, depending on whether intermediate nodes can actually store states. 

a) We can choose between 2 models: keep intermediate SRP in the nodes down the DAG or only do LSRR from the root 

b) A source route path must be recomputed from the destination up when the path between the source and the destination changes. But there is no way for the destination to know that. That is what the digest was for 

“

For b) We have introduced the DTSN to replace the digest. 

For a) the current spec picked the first model. We are observing a light consensus that this path lead too far. Thus issue #26 about storing / non-storing / mixed caching nodes. So my take is that this part of ticket #17 is now irrelevant, to be followed on with #26. To merge the 2, we need to consider LSRR as an alternate in #26.

For all I know, I think that we can close #17, at least if we include the LSRR option in #26. 

What do you think?

Pascal Thubert
Engineer.software Engineering
Product Development
[email-masked] <mailto:[email-masked]> 
Phone: +33 4 9723 2634
Mobile: +33 6 1998 2985

Cisco Systems France
Village d'Entreprises Green Side
400 Avenue de Roumanille 
Batiment T 3 
06410 
BIOT - SOPHIA ANTIPOLIS
France
Cisco.com <http://www.cisco.com/global/FR/> 

Think before you print.

Cisco Systems France, Société à responsabiité limitée, Rue Camille Desmoulins – Imm Atlantis Zac Forum Seine Ilot 7 92130 Issy les Moulineaux, Au capital de 91.470 €, 349 166 561 RCS Nanterre, Directeur de la publication: Jean-Luc Michel Givone, For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/index.html

_______________________________________________
Roll mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/roll